弱弱的问下在android下导入httpclient4.jar冲突如何解决?

loyal 发布于 2013/04/20 17:42
阅读 3K+
收藏 0

弱弱的问下在android下导入httpclient4.jar冲突如何解决?

最近刚开始写android,虽然java用了N年...

但发现android.jar也有httpclient的class,我放入httpclient4.jar(最新版4.24)后,引入的都是android自己的类,很多方法都找不到,囧啊~

先别说httpclient3.jar,我就想用httpclient4...当然如果用不成的话...我在换...

貌似是说和android的版本有关?我选的比较低android 2.3.3...有人说高版本自带httpclient4.

这...

加载中
0
loyal
loyal
更改本地classpath 的顺序可行么?放到手机上还认么...
0
loyal
loyal
真悲剧,改了classpath的顺序后,本地main通过,放到手机上依然冲突.哇嘎嘎,和我想的一样.看来...还用不成了哎.
0
我王晓东
我王晓东
应该可以用,导入 httpclient4源码,更改下包名即可!
loyal
loyal
我也想过这个方法~吼吼.以后替换这个jar就麻烦了.
0
L
LeoLiu000
有木有好的解决办法??我于是又这个问题,android自带的httpclient获取的东西会出现问题,只有阿帕奇的可以用,这让我如何是好
0
陈亦
陈亦
楼上的朋友,你是如何解决Httpclient冲突的?难道真是改一下httpclient的包名?
0
oldfeel
oldfeel
使用 开源中国 android app 里的吧,他们那个版本的没有冲突.
0
红红
红红
这个问题怎么解决啊
0
benben_002
benben_002
有没有人彻底解决了??
benben_002
benben_002
回复 @行走的班渠 : 你好,做消费金融?我是做开发的,没关系的
行走的班渠
行走的班渠
@loyal 加我微信啊我是做互联网消费金融的,微信号bentlyeban
loyal
loyal
官方已经出httpclient for android了.
0
benben_002
benben_002

引用来自“benben_002”的评论

有没有人彻底解决了??
回复 @loyal : 是推出android版的,android也是httpclient,这个和手机里的sdk里的httpclient冲突,也就是程序运行的时候,会自动运行sdk里的,而不会运行你所添加的,不知道怎么才能指定让sdk知道运行正确的httoclient,网上有说用android studio可以,我试了,不好用,可能是as我用的不明白,我现在用的eclipse,不好使,没办法,只能不用官方推荐的httpclient
返回顶部
顶部